#include <stdio.h>
#include <string.h>
#include <conio.h>
#include <ctype.h>
#include <stdlib.h>
#include <math.h>

main()
{
    int n,l,k=1;
	
	scanf("%d%d",&n,&l);
	int a[n];
	for(int i=0;i<n;i++)
	{
		
		scanf("%d",&a[i]);
		if(a[i]>l)
			k++;
		else
			break;
	}
	if(k>n)
	k=-1;
	
	printf("%d",k);

}